Any rhinoscriptsyntax to draw curve perpendicular to specified curve

I could find some discussion about this topic in grasshopper component like this page
However, I could not find any information about rhinoscriptsyntax. Does anyone know which api I can use in rhinoscriptsyntax?

You might have a look in the Help for the rhinoscriptsyntax Curve module. There you will find things such as rs.CurveNormal(crv_id,t), rs.CurveFrame(crv_id,t), rs.CurvePerpFrame(crv_id,t) etc. which might help you find perpendicular directions at a given curve parameter t.

–Mitch

1 Like

Hi @Katsuya_Obara

The CurvePerpFrame method works really well too.

import rhinoscriptsyntax as rs
crv = rs.GetCurveObject("Select a curve")
if crv:
    plane = rs.CurvePerpFrame(crv[0], crv[4])
    rs.AddPlaneSurface( plane, 1, 1 )

– Dale

1 Like